## qtbase-opensource-src 5.7.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.7.1+dfsg-2ubuntu4~1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patch/qdbus-tray-icon-use-runtimedir.patch:
    - QDBusTrayIcon: try use runtime or cache for icons (LP: #1600136)
  * debian/patch/qdbus-tray-icon-always-save-icon-in-unity.patch:
    - QDBusTrayIcon: always save the temp icon in Unity (LP: #1600136)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 09 Feb 2017 08:42:30 +0000

qtbase-opensource-src (5.7.1+dfsg-2ubuntu3~2) zesty; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream change to make shortcuts working with global menu
    on Unity (global_menu_shortcuts.diff, LP: #1380702).

  [ Timo Jyrinki ]
  * debian/patches/Add-support-for-selecting-the-printer-plugin-via-the.patch:
    - Backport from Qt 5.9.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Jan 2017 09:02:08 +0000

qtbase-opensource-src (5.7.1+dfsg-2ubuntu2~1) zesty; urgency=medium

  * Disable gold linker also on arm64 and ppc64el (LP: #1656431)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Jan 2017 09:23:57 +0000

qtbase-opensource-src (5.7.1+dfsg-2ubuntu1~8) zesty; urgency=medium

  * New upstream release.
  * Drop patches included in upstream release:
    - color-fonts.patch
    - dbusmenu_exclusive_groups.diff
    - dbusmenu_global_menu.diff
    - dbustray_use_separate_connections.diff
    - qplatformmenubar_createmenu.diff
    - fix-scalable-bitmap-factor-caching.patch
    - Make-sure-connection-is-not-null-before-using-it.patch
    - xcb-Send-also-text-plain-when-a-text-uri-list-is-dro.patch
  * Update symbols and mark private ones.
  * Adjust tests enablement patch for Qt 5.7 and 5.7.1.
  * Drop also net-bearer-nm-disconnect-ap-signals7.patch that was upstreamed.
  * Ubuntu doesn't have package named libssl1.0-dev yet.
  * debian/patches/QSettings-Avoid-unneeded-sync-on-destruction.patch:
    - Backport from 5.8 (LP: #1642605)
  * Disable gold linker also on armhf (LP: #1653529)
  * Disable gold linker also on amd64 (LP: #1654820)
    - Now disabled on i386, powerpc, armhf, amd64

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 25 Aug 2016 11:01:48 +0000

qtbase-opensource-src (5.6.2+dfsg-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 5.6.2.
  * Drop patches in upstream 5.6.2 release:
    - xcb-Send-also-text-plain-when-a-text-uri-list-is-dro.patch
    - dbustray_use_separate_connections.diff
    - Make-sure-connection-is-not-null-before-using-it.patch
    - Fix-gcc-Wsuggest-override-warning-on-Q_OBJECT.patch
    - Fix-parsing-of-tzfile-5-POSIX-rule-zone-names-with-b.patch
    - Avoid-artifacts-when-hiding-or-closing-a-QOpenGLWidg.patch
    - net-bearer-nm-disconnect-ap-signals7.patch
      (this upstreamed as https://codereview.qt-project.org/#/c/166147/)
  * Update patches to non-rebased forms to apply cleanly:
    - Fix-the-GCC-version-supporting-Wsuggest-override.patch
    - QtWidgets-Send-show-hide-event-to-children-on-restor.patch
  * Skip a few widgets related tests having failures.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Oct 2016 13:22:14 +0000

qtbase-opensource-src (5.6.1+dfsg-3ubuntu7~2) yakkety; urgency=medium

  * debian/patches/Stop-unloading-plugins-in-QPluginLoader-and-QFactory.patch:
    - Backport from Qt 5.8.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Oct 2016 07:18:59 +0000
