## qtbase-opensource-src 5.9.1+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.9.1+dfsg-10ubuntu1) artful; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Depend on libssl1.0.0 instead of libssl1.0.2.
    - Enable tests for amd64, armhf, and i386.
    - Add arm64 to the architectures that GLES is enabled on.
    - Make qt5-default Multi-Arch: same.
  * Build with firebird support to reduce delta with Debian.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 23 Sep 2017 20:13:55 +0300

qtbase-opensource-src (5.9.1+dfsg-10) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a maintscript to ensure that the obsolete 90qt5-opengl conffile
    is removed on upgrade (closes: #873788).
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Update symbols files from kfreebsd-i386 log.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * debian/rules: include /usr/share/dpkg/architecture.mk instead of defining
    DEB_HOST_* variables. Thanks Helmut Grohne!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 17:57:53 +0300

qtbase-opensource-src (5.9.1+dfsg-9) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove missing symbol in libqt5network5.symbols. I clearly missed it while
    editing them.

  [ Dmitry Shachnev ]
  * Stop using the gold linker on all architectures, because of bug #852035.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Aug 2017 19:13:27 +0300

qtbase-opensource-src (5.9.1+dfsg-8) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 09:31:28 -0300

qtbase-opensource-src (5.9.1+dfsg-7) unstable; urgency=medium

  * Brown paper bag upload to unstable. Actually start the transition :-)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 20:50:02 -0300

qtbase-opensource-src (5.9.1+dfsg-6) experimental; urgency=medium

  * Update symbols files for GCC 7 symbols changes.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 20:45:42 -0300

qtbase-opensource-src (5.9.1+dfsg-5ubuntu2) artful; urgency=medium

  * Refresh symbols from build logs to fix FTBFS with GCC 7.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Aug 2017 05:26:32 -0500

qtbase-opensource-src (5.9.1+dfsg-5ubuntu1) artful; urgency=medium

  [ Timo Jyrinki ]
  * Drop support for twin gles packages.
  * Drop Ubuntu specific patches and patches that will be in upstream 5.9.
   - Add-workaround-for-GL-on-Android-emulator.patch - 5.9
   - qdbus-tray-icon-always-save-icon-in-unity.patch - 5.9
   - qdbus-tray-icon-use-runtimedir.patch - 5.9
   - qnam-ubuntu-fix6.patch - not submitted upstream, but also might be
     outdated
   - skip-largefile-test-s390x.patch - likely not needed anymore
  * Remove x86 -> armhf cross-compilation qmake, maybe something more generic
    can be done on Debian side and then synced to Ubuntu later, if needed.

  [ Simon Quigley ]
  * Merge from Debian Experimental in Git repo. Remaining changes:
    - Compile without firebird support.
    - Disable the usage of the gold linker in debian/rules.
    - Use libssl-dev instead of libssl1.0-dev.
    - Enable tests for amd64, armhf, and i386.
    - Add arm64 to the arches that GLES is enabled on.
  * Drop patches that were applied upstream in 5.9.0:
    - Fix-some-QtDBus-crashes-during-application-destructi.patch
    - hurd_tilde.diff
    - qsettings_XDG_CONFIG_DIRS.diff
    - qsettings_simplify_logic.diff
    - vnc_big_endian.diff
    - global_menu_shortcuts.diff
    - Add-support-for-selecting-the-printer-plugin-via-the.patch
    - Merge-the-QDBusMetaType-s-custom-information-to-QDBu.patch
  * Remove the following patches from the tree that were not specified in the
    series file:
    - xcb-Fix-drag-and-drop-to-Emacs.patch
    - xcb-Fix-drag-and-drop-to-applications-like-Emacs-and.patch
  * Add arm64 to the arches GLES is built on in qtbase5-private-
    dev.install.
  * Simplify disabling of gold linker in debian/rules.
  * Remove debian/qt5-qmake-arm-linux-gnueabihf.install as it looks obsolete.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 08 Jun 2017 13:48:28 +0300

qtbase-opensource-src (5.9.1+dfsg-5) experimental; urgency=medium

  * Build with large file support by adding LFS_CFLAGS to build flags.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2017 18:26:11 +0300

qtbase-opensource-src (5.9.1+dfsg-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Revert dropping the workaround to not use gold on i386.
    See https://bugs.debian.org/842304#33.

  [ Pino Toscano ]
  * Do not install the QtKmsSupport stuff on Hurd, since it is not built
    there.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2017 18:41:19 +0300

qtbase-opensource-src (5.9.1+dfsg-3) experimental; urgency=medium

  * Update headers of debian/patches/fix_atspi_condition.diff.
  * Add a patch to use UTIME_NOW only if it is defined, to fix build on
    kFreeBSD and Hurd (nonlinux_utime.diff).
  * Update debian/libqt5gui5.symbols from buildds’ logs.
  * Drop the workaround to not use gold on i386, bug #842304 should be
    fixed now.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Jul 2017 14:18:26 +0300

qtbase-opensource-src (5.9.1+dfsg-2) experimental; urgency=medium

  * Mark two symbols in debian/libqt5core5a.symbols as optional.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jul 2017 17:28:16 +0300

qtbase-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Remove unused gstreamer build-dependencies, thanks to Alexander Volkov.
    See upstream commit 60e5a1c8effd4099.
  * Drop libqt5gui5 recommendation on mesa-utils, thanks to Alexander Volkov.
    It was needed only for 90qt5-opengl script, which we no longer ship.

