=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.20160114~),
                default-libmysqlclient-dev,
-               dpkg-dev (>= 1.16.1),
+               dh-exec,
+               dpkg-dev (>= 1.17.14),
+               firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                gdb,
                libasound2-dev [linux-any],
@@ -25,8 +27,6 @@
                libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
                libgtk-3-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -39,7 +39,7 @@
                libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libudev-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
@@ -66,9 +66,9 @@
                unixodbc-dev,
                xvfb,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~),
-                     qttools5-dev-tools (>= 5.7.1~)
-Standards-Version: 3.9.8
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.8.0+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.8.0~) <!nodoc>
+Standards-Version: 4.1.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtbase.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git
@@ -77,7 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-7-1
+Provides: qtbase-abi-5-9-0
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -93,7 +93,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5svg5, mesa-utils, qt5-gtk-platformtheme
+Recommends: libqt5svg5, qt5-gtk-platformtheme
 Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
@@ -149,7 +149,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -211,6 +211,17 @@
  .
  Install it if you intend to use or write Qt programs that are to access a
  MS SQL or Sybase SQL server.
+
+Package: libqt5sql5-ibase
+Architecture: kfreebsd-any linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Firebird database driver
+ This package contains the Firebird plugin for Qt 5.
+ .
+ Install it if you intend to use or write Qt programs that are to access a
+ Firebird/InterBase DB.
 
 Package: libqt5xml5
 Architecture: any
@@ -312,6 +323,7 @@
          ${misc:Depends}
 Recommends: libqt5opengl5-dev (= ${binary:Version})
 Suggests: default-libmysqlclient-dev,
+          firebird-dev,
           libegl1-mesa-dev,
           libgl1-mesa-dev,
           libpq-dev,
@@ -321,17 +333,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the header development files used for building Qt 5
- applications.
- .
- If you are interested in packaging Qt 5 stuff please take a look at
- http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
-
-Package: qtbase5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libinput-dev [linux-any],
-         libxkbcommon-dev,
-         qtbase5-dev (= ${binary:Version}),
-         ${misc:Depends}
